OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Interface PollableVisitor

All Known Implementing Classes:
  PollableVisitorAdaptor

public interface PollableVisitor

Represents a PollableVisitor

Author:
  brozow

Method Summary
`void` `visitContainer(PollableContainer container)`
`void` `visitElement(PollableElement element)`
`void` `visitInterface(PollableInterface interface1)`
`void` `visitNetwork(PollableNetwork network)`
`void` `visitNode(PollableNode node)`
`void` `visitService(PollableService service)`

Method Detail

### visitService

    public void visitService(PollableService service)

  Parameters:
    `service` -

### visitInterface

    public void visitInterface(PollableInterface interface1)

  Parameters:
    `interface1` -

### visitNode

    public void visitNode(PollableNode node)

  Parameters:
    `node` -

### visitNetwork

    public void visitNetwork(PollableNetwork network)

  Parameters:
    `network` -

### visitContainer

    public void visitContainer(PollableContainer container)

  Parameters:
    `container` -

### visitElement

    public void visitElement(PollableElement element)

  Parameters:
    `element` -

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.